Subject: using libtool to install on directories that contain spaces

From: Eduardo Chappa <[email-masked]>
Date: Sat, 23 May 2015 10:01:04 -0600 (MDT)

Hello,

   I maintain the e-mail program Alpine (see 
http://patches.freeiz.com/alpine/release), and I received a report from a 
user that has problems installing it in a directory whose full path 
contains spaces.

   The problem seems to stem from libtool at the following line

  func_show_eval "$install_prog\$stripme \$file \$destfile" 'exit $?'

   When installation is done, \$destfile is not properly quoted, but if I 
change that line to

  func_show_eval "$install_prog\$stripme \$file '\$destfile'" 'exit $?'

installation proceeds correctly. Could you confirm the problem?

   Thank you.

-- 
Eduardo
http://patches.freeiz.com/alpine/